version: '3.1'
services:
  zookeeper:
    image: zookeeper
    container_name: zookeeper
    restart: always

  nimbus:
    image: storm
    container_name: nimbus
    command: storm nimbus
    restart: always
    volumes:
      - ./docker/conf:/conf
      - ./docker/nimbus/logs:/logs
    depends_on:
      - zookeeper
    links:
      - zookeeper
    ports:
      - 6627:6627

  supervisor:
    image: storm
    container_name: supervisor
    command: storm supervisor
    restart: always
    volumes:
      - ./docker/conf:/conf
      - ./docker/supervisor/logs:/logs
    depends_on:
      - nimbus
      - zookeeper
    links:
      - nimbus
      - zookeeper
    ports:
      - 8000:8000
      - 6700:6700
      - 6701:6701
      - 6702:6702
      - 6703:6703

  supervisor-ui:
    image: storm
    container_name: supervisor-ui
    command: storm ui
    depends_on:
      - nimbus
    links:
      - nimbus
    ports:
      - "8080:8080"
